<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employees', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('employeePosition');
            $table->foreign('employeePosition')->references('id')->on('employee_position')->onDelete('cascade');
            $table->string('employeeName');
            $table->string('employeeNIC');
            $table->string('employeeAddress');
            $table->string('employeeTelephone')->nullable(true);
            $table->string('employeeMobile')->nullable(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employees');
    }
};
